export const legendData = ["充值金额", "充值笔数", '打款金额', '打款笔数', '手动加余额', '手动减余额', '手动加收益', '手动减收益'];

export const seriesData = {
  name: '',
  itemStyle: {
    normal: {
      lineStyle: {
        width: 2
      }
    }
  },
  smooth: true,
  type: 'line',
  data: [],
  animationDuration: 2800,
  animationEasing: 'cubicInOut'
};

export const echartsConfig = {
  xAxis: {
    data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
    boundaryGap: false,
    axisTick: {
      show: false
    }
  },
  grid: {
    left: 10,
    right: 10,
    bottom: 20,
    top: 50,
    containLabel: true
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'cross'
    },
    padding: [5, 10]
  },
  yAxis: {
    axisTick: {
      show: false
    }
  },
  legend: {
    data: legendData,
    top: '0px'
  },
  series: []
};

export const generateRandomNumbers = ()=> {
  function getRandomInt(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
  }
  let randomNumbers = [];
  for (let i = 0; i < 7; i++) {
    randomNumbers.push(getRandomInt(100, 300));
  }
  return randomNumbers;
}

